Welcome! Log In Create A New Profile

Advanced

Re: Default TLS v1.3 support in nginx 1.13.0+ Pre-Built packages

Maxim Dounin
January 11, 2019 09:44PM
Hello!

On Fri, Jan 11, 2019 at 11:44:30AM +0100, Leonard via nginx wrote:

> I would be glad if nginx 1.13.0+ were to be compiled by default with
> openssl 1.1.1, so that by default the TLS v1.3 support is activated.
> This concerns the Pre-Built packages in the nginx repository.
>
> I'm running Debian GNU/Linux 9.6 (stretch).

Packages in the nginx repository are compiled with OpenSSL as
shipped by default in the particular OS. As such, nginx on Debian
9 is compiled with OpenSSL 1.1.0f.

OpenSSL 1.1.1 is currently available in Ubuntu 18.10, and
corresponding nginx package as available from nginx.org are built
with OpenSSL 1.1.1.

--
Maxim Dounin
http://mdounin.ru/
_______________________________________________
nginx mailing list
nginx@nginx.org
http://mailman.nginx.org/mailman/listinfo/nginx
Subject Author Posted

Default TLS v1.3 support in nginx 1.13.0+ Pre-Built packages

Leonard via nginx January 11, 2019 05:46AM

Re: Default TLS v1.3 support in nginx 1.13.0+ Pre-Built packages

Maxim Dounin January 11, 2019 09:44PM



Sorry, only registered users may post in this forum.

Click here to login

Online Users

Guests: 107
Record Number of Users: 6 on February 13, 2018
Record Number of Guests: 421 on December 02, 2018
Powered by nginx      Powered by FreeBSD      PHP Powered      Powered by MariaDB      ipv6 ready